Bug 1930064 - Web console crashes during VM creation from template when no storage classes are defined
Summary: Web console crashes during VM creation from template when no storage classes ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Rastislav Wagner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 1930152
TreeView+ depends on / blocked
 
Reported: 2021-02-18 09:58 UTC by Viktor Ashirov
Modified: 2021-07-27 22:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: If no storage classes are present on the cluster and user opens new VM wizard an infinite loop happens in UI Consequence: UI crashes Fix: Handle no storage class situation correctly - do not show storage class dropdown, because there is nothing to choose from. Result: UI does not crash if there are no storage classes
Clone Of:
Environment:
Last Closed: 2021-07-27 22:45:14 UTC
Target Upstream Version:
gouyang: needinfo-


Attachments (Terms of Use)
screen recording (3.80 MB, video/webm)
2021-02-18 09:58 UTC, Viktor Ashirov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8188 0 None open Bug 1930064: Do not fail new VM wizard when no storage classes are available 2021-02-18 10:37:10 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:47:27 UTC

Description Viktor Ashirov 2021-02-18 09:58:05 UTC
Created attachment 1757757 [details]
screen recording

Description of problem:
Web console crashes during VM creation from template when no storage classes are defined. See the attached screen recording.

$ oc get storageclass
No resources found

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-02-17-130606
kubevirt-hyperconverged-operator.v2.5.3


How reproducible:
always

Steps to Reproduce:
1. Workloads -> Virtualization -> Templates
2. Choose any template and press Create


Actual results:
Web app crashes, leaving the user with a white screen.

Expected results:
Web app should not crash.

Additional info:

Comment 2 Yaacov Zamir 2021-03-07 05:18:50 UTC
@Guohua hi, can you prioritized verifying this issue, we want to back-port the fix, but need to verify the fix first  ?

Comment 3 Guohua Ouyang 2021-03-08 06:11:40 UTC
(In reply to Yaacov Zamir from comment #2)
> @Guohua hi, can you prioritized verifying this issue, we want to back-port
> the fix, but need to verify the fix first  ?

I've looked at this already, I just don't know how to verify it with "no storage classes are defined". There are always some storage classes in the cluster which are managed by kube-controller-manager.

Comment 4 Yaacov Zamir 2021-03-08 06:56:25 UTC
closing because we can't reproduce on supported clusters

@Victor hi, the fix is merged and we can't reproduce on QE or DEV clusters, please comment here if this is still reproducible on your cluster, and what steps need to be done to create such a cluster (if bug still exist)

Comment 5 Yaacov Zamir 2021-03-08 07:02:45 UTC
moving back to ON QA,

@Guohua hi, CLOSED is not good for Github, it will not allow the fix to be backported to 4.7.z

So I moved back to ON QE, can you Verify that you can't reproduce according because there is always some storage class ?

Comment 6 Viktor Ashirov 2021-03-08 07:54:28 UTC
Yaacov,

I'm using kcli to create a cluster. It doesn't define storage classes by default.
In 4.8.0-0.nightly-2021-03-06-055252 with kubevirt-hyperconverged-operator.v2.5.4 I no longer see the problem.

Thank you!

Comment 7 Yaacov Zamir 2021-03-08 07:56:59 UTC
moving to verified per comment#6

Comment 10 errata-xmlrpc 2021-07-27 22:45:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.